package tdspp.util;

import Prism.core.*;

/**
 * Generic class that can be used as a template 
 * to write other classes belonging to the TDS++ architecture.
 *
 * This class was written to facilitate writing new classes that
 * can just be the entensions to this class. This class contains the sample
 * javadoc comments.
 * 
 * <table border=0> 
 * <tr> <td style="font-weight: bold; font-size: smaller"> Belongs to </td> <td> TDS++ </td>
 * <tr> <td style="font-weight: bold; font-size: smaller"> Properties </td> <td> Variant, Passive </td>
 * </table> 
 * 
 * @author 	TDS++ team, USC-CSE
 * @version 	1.0 , 15 Feb 2002
 * 
*/

public class GenericImp {
	/**
	 * The parent component
	 *
	*/
	public AbstractImplementation parent;

	/**
	 * Constructor
	 * 
	 * @param parent The parent component that encapsulates this implementation object.
	 * 
	*/
	public GenericImp(AbstractImplementation par) {
		parent = par;
	}
	
	public GenericImp(){
	}
}
