package tdspp.util;
import java.awt .Image ;
import java.io.*;

public class TDSImage implements Serializable {
	public String inputName, outputName;
	public transient Image img;

	public TDSImage (){
	}
	
	private void writeObject(ObjectOutputStream ostream) throws IOException {
		ostream.defaultWriteObject();
		try {
		
			InputStream istream = new FileInputStream(inputName);
			byte bytes [] = new byte[128];
			int count =0;
			
			while ((count = istream.read(bytes)) != -1) {
				//System.out.println(count);
				ostream.write(bytes,0,count);
			}	
			
			istream.close();
			
		} catch (IOException e) {
			System.err.println(e);
			e.printStackTrace();
			return;
		}	
		
	}
    
	private void readObject (ObjectInputStream istream) throws IOException, ClassNotFoundException {
		istream.defaultReadObject();
		try {
			System.out.println("output file is "+outputName);
			OutputStream ostream = new FileOutputStream(outputName);
			byte bytes [] = new byte[128];
			int count =0;
			
			while ((count = istream.read(bytes)) != -1) {
				ostream.write(bytes,0,count);
			}	
			
			ostream.close();
			
		} catch (IOException e) {
			System.err.println(e);
			return;
		}
		
	}
}
