package tdspp.util;

/**
 * Constants definitions.
 */

public class MessageConstants
{
	// message names
	public final static String MESSAGE_NAME_TICK				= "Tick";
	public static final String MESSAGE_NAME_GETMAP				= "GetMap";
	public static final String MESSAGE_NAME_GETMAPREGIONS		= "GetMapRegions";
	public static final String MESSAGE_NAME_GETMAPRESP			= "GetMapResp";
	public static final String MESSAGE_NAME_GETMAPREGIONSRESP	= "GetMapRegionsResp";
	public static final String MESSAGE_NAME_SETMAP				= "SetMap";
	public static final String MESSAGE_NAME_SETMAPRESP			= "SetMapResp";
	public static final String MESSAGE_NAME_GETATTR				= "GetAttributes";
	public static final String MESSAGE_NAME_GETATTRRESP			= "GetAttributesResp";
	public static final String MESSAGE_NAME_SETATTR				= "SetAttributes";
	public static final String MESSAGE_NAME_SETATTRRESP			= "SetAttributesResp";
	public final static String MESSAGE_NAME_GETWEATHER			= "GetWeather";
	public static final String MESSAGE_NAME_GETWEATHERRESP		= "GetWeatherResp";
	public static final String MESSAGE_NAME_GETWEATHLIST		= "GetWeatherList";
	public static final String MESSAGE_NAME_GETWEATHLISTRESP	= "GetWeatherListResp";
	public final static String MESSAGE_NAME_GETDATA				= "GetData";
	public final static String MESSAGE_NAME_GETDATARESP			= "GetDataResp";
	public final static String MESSAGE_NAME_GETWEATHERLEVEL		= "GetWeatherLevel";
	public final static String MESSAGE_NAME_GETWEATHERLEVELRESP	= "GetWeatherLevelResp";
	public final static String MESSAGE_NAME_GETALLDATA			= "GetAllData";
	public final static String MESSAGE_NAME_GETALLDATARESP		= "GetAllDataResp";
	public final static String MESSAGE_NAME_CALLUIUPDATE		= "CallUIUpdate";
	public final static String MESSAGE_NAME_UPDATEUI		= "UpdateUI";
	//simulation agent messages
	public static final String MESSAGE_NAME_SIMULATEFIGHT		= "SimulateFight";
	public static final String MESSAGE_NAME_SIMULATEFIGHTRESP		= "SimulateFightResp";
	public static final String MESSAGE_NAME_SIMULATEFIGHTRESPFINAL	= "SimulateFightRespFinal";
	//public static final String MESSAGE_NAME_SAVEFIGHT		= "SaveFight";
	public static final String MESSAGE_NAME_DONTSAVEFIGHT		= "DontSaveFight";
	public static final String MESSAGE_NAME_DONTSAVEFIGHTRESP= "DontSaveFightResp";
	//StrategyAnalyzer related messages
	public final static String MESSAGE_NAME_ANALYZESTRATEGY				= "AnalyzeStrategy";
	public final static String MESSAGE_NAME_ANALYZESTRATEGYVALIDRESP	= "AnalyzeStrategyValidResp";
	public final static String MESSAGE_NAME_ANALYZESTRATEGYINVALIDRESP	= "AnalyzeStrategyInvalidResp";
	//DeploymentAdvisor related messages
	public final static String MESSAGE_NAME_ADVISEDEPLOYMENT				= "AdviseDeployment";
	public final static String MESSAGE_NAME_ADVISEDEPLOYMENTRESP		= "AdviseDeploymentResp";
	//SAKB related messages
	public final static String MESSAGE_NAME_GETRULES			= "GetRules";
	public final static String MESSAGE_NAME_GETRULESRESP		= "GetRulesResp";
	public final static String MESSAGE_NAME_LOGSTATE		= "LogState";
	public final static String MESSAGE_NAME_GETINITIALRULES			= "GetInitialRules";
	public final static String MESSAGE_NAME_GETINITIALRULESRESP	= "GetInitialRulesResp";

	//ResourceManager related messages
	public final static String MESSAGE_NAME_GETRESOURCES	=	"GetResources";
	public final static String MESSAGE_NAME_GETRESOURCESRESP	=	"GetResourcesResp";
	public final static String MESSAGE_NAME_ADDRESOURCES	=	"AddResources";
	public final static String MESSAGE_NAME_DELETERESOURCES	=	"DeleteResources";
	public final static String MESSAGE_NAME_MOVERESOURCES	=	"MoveResources";
	public final static String MESSAGE_NAME_SUPPLYRESOURCES =	"SupplyResources";
	public final static String MESSAGE_NAME_DEPLETERESOURCES = "DepleteResources";

	//ResourceMonitor related messages
	public final static String MESSAGE_NAME_FETCHRESOURCES	=	"FetchResources";
	public final static String MESSAGE_NAME_FETCHRESOURCESRESP	=	"FetchResourcesResp";
	public final static String MESSAGE_NAME_UPDATERESOURCES	=	"UpdateResources";
	//SAKB related rules' names
	public static final String RULE_TERRAINTYPE_FLAT		= "Flat";
	public static final String RULE_TERRAINTYPE_MOUNTAIN	= "Mountain";
	public static final String RULE_TERRAINTYPE_SWAMP		= "Swamp";
	public static final String RULE_TERRAINTYPE_RIVER		= "River";
	public static final String RULE_ARMYRESOURCES_MINEFIELD = "MineField";
	public static final String RULE_ARMYRESOURCES_TANKFIELD = "FriendlyTank";
	public static final String RULE_ARMYRESOURCES_INFANTRY  = "FriendlyInfantry";
	public static final String RULE_ARMYRESOURCES_ENEMYTANK = "EnemyTank";
	public static final String RULE_ARMYRESOURCES_ENEMYINFT = "EnemyInfantry";

	//SAKBUI related messages and parameters
	public final static String MESSAGE_NAME_SHOWSAKBUI		= "ShowSAKBUI";
	public final static String MESSAGE_NAME_UPDATERULE		= "UpdateRule";
	public final static String MESSAGE_NAME_STORERULE		= "StoreRule";
	public final static String MESSAGE_NAME_DELETERULE		= "DeleteRule";
	public final static String PARAM_NAME_FACTOR	= "Factor";
	public final static String PARAM_NAME_NUMBERVALUE	= "NumberValue";
	public final static String[] FACTORS = {RULE_TERRAINTYPE_FLAT,RULE_TERRAINTYPE_MOUNTAIN,
														 RULE_TERRAINTYPE_SWAMP,RULE_TERRAINTYPE_RIVER,
														 RULE_ARMYRESOURCES_TANKFIELD,RULE_ARMYRESOURCES_INFANTRY,
														 RULE_ARMYRESOURCES_ENEMYTANK,RULE_ARMYRESOURCES_ENEMYINFT};


	// message parameter names
	public final static String PARAM_NAME_GETMAP_SUBMAPID			= "SubmapId";
	public final static String PARAM_NAME_SETMAP_SUBMAPID			= "SubmapId";
	public static final String PARAM_NAME_GETMAPRESP_REGIONS		= "Regions";
	public static final String PARAM_NAME_GETMAPRESP_IMAGE			= "Image";
	public final static String PARAM_NAME_SETMAP_REGIONS			= "Regions";
	public final static String PARAM_NAME_SETMAP_REGIONS1			= "Regions1";
	public static final String PARAM_NAME_GETATTR_REGION			= "Region";
	public static final String PARAM_NAME_GETATTRRESP_REGION		= "Region";
	public static final String PARAM_NAME_SETATTR_REGION			= "Region";
	public final static String PARAM_NAME_GETWEATHER_REGION			= "Region";
	public final static String PARAM_NAME_GETWEATHERRESP_WEATHERINFO= "WeatherInfo";
	public final static String PARAM_NAME_GETWEATHERRESP_REGION		= "Region";
	public static final String PARAM_NAME_GETWEATHLIST_REGIONS		= "Regions";
	public final static String PARAM_NAME_GETWEATHLISTRESP_REGIONS	= "Regions";
	public final static String PARAM_NAME_GETWEATHERLEVEL_REGION	= "Region";
	public final static String PARAM_NAME_GETWEATHERLEVELRESP_LEVEL	= "Level";
	public final static String PARAM_NAME_GETDATA_SUBMAPID			= "SubmapId";
	public final static String PARAM_NAME_GETDATARESP_SUBMAPID			= "SubmapId";
	public final static String PARAM_NAME_GETDATARESP_REGIONS		= "Regions";
	public final static String PARAM_NAME_GETDATARESP_IMAGE			= "Image";
	public final static String PARAM_NAME_GETALLDATARESP_REGIONS	= "Regions";
	public final static String PARAM_NAME_GETALLDATARESP_IMAGE		= "Image";
	public final static String PARAM_NAME_GETRULESRESP	= "Rules";
	public final static String PARAM_NAME_INVALIDRESPREGION	= "InvalidRegion";
	public final static String PARAM_NAME_INVALIDRESPLEVEL	= "InvalidLevel";
	public final static String PARAM_NAME_DEPLOYRESPREGION	= "DepolyRegion";
	public final static String PARAM_NAME_DEPLOYRESPLEVEL	= "DepolyLevel";
	public final static String PARAM_NAME_ID	= "ID";
	public final static String PARAM_NAME_LOGSTATE	= "LogState";
	public final static String PARAM_NAME_SHOWSAKBUI_PARENT			= "Parent";
	public final static String PARAM_NAME_GETRESOURCES_REGION 		= "Region";
	public final static String PARAM_NAME_ADDRESOURCES_REGION 		= "Region";
	public final static String PARAM_NAME_ADDRESOURCES_RESOURCENAMES = "ResourceNames";
	public final static String PARAM_NAME_DELETERESOURCES_REGION	= "Region";
	public final static String PARAM_NAME_DELETERESOURCES_RESOURCENAMES = "ResourceNames";

	public final static String PARAM_NAME_MOVERESOURCES_OPERATIONFLAG 	= "OperationFlag";
	public final static String PARAM_NAME_MOVERESOURCES_FROMREGION 		= "FromRegion";
	public final static String PARAM_NAME_MOVERESOURCES_TOREGION		= "ToRegion";
	public final static String PARAM_NAME_MOVERESOURCES_RESOURCENAMES = "ResourceNames";

	public final static String PARAM_NAME_SUPPLYRESOURCES_XCOOR = "XCOOR";
	public final static String PARAM_NAME_DEPLETERESOURCES_XCOOR = "XCOOR";
	public final static String PARAM_NAME_GETRESOURCESRESP_ARMYRESOURCES = "ArmyResources";
	public final static String PARAM_NAME_FETCHRESOURCES_REGION 		= "Region";
	public final static String PARAM_NAME_FETCHRESOURCESRESP_ARMYRESOURCES = "ArmyResources";
	public final static String PARAM_NAME_UPDATERESOURCES_OPERATIONFLAG = "OperationFlag";
	public final static String PARAM_NAME_UPDATERESOURCES_REGION 	= "Region";
	public final static String PARAM_NAME_UPDATERESOURCES_FROMREGION 		= "FromRegion";
	public final static String PARAM_NAME_UPDATERESOURCES_TOREGION 		= "ToRegion";
	public final static String PARAM_NAME_UPDATERESOURCES_RESOURCENAMES = "ResourceNames";

	public final static String PARAM_NAME_GETALLDATARESP_IMAGENAME  = "ImageName";
	public static final String PARAM_NAME_GETMAPRESP_IMAGENAME = "ImageName";
	public final static String PARAM_NAME_GETDATARESP_IMAGENAME  = "ImageName";

	//SAKB related rules' names
	public final static String PARAM_NAME_ALLFACTORS	= "AllFactors";
	public final static String PARAM_NAME_ALLVALUES	= "AllValues";

	public final static String MESSAGE_NAME_SAVESTATE					= "SaveState";
	public final static String MESSAGE_NAME_SAVESAKBSTATE				= "SaveSAKBState";
	public final static String MESSAGE_NAME_SAVESAKB_MAPSTATE			= "SaveSAKBMapState";
	public static final String PARAM_NAME_PASSREGIONS					= "Regions";
	public final static String MESSAGE_NAME_REFRESHREGIONS  = "RefreshRegions";
}
